summaryrefslogtreecommitdiffstats
path: root/tools/builder_common.sh
diff options
context:
space:
mode:
authorRenato Botelho <renato@netgate.com>2016-08-01 14:00:10 -0300
committerRenato Botelho <renato@netgate.com>2016-08-01 14:02:29 -0300
commita10a0e7043b0d14df99a31ca54a9709406391b43 (patch)
tree6cc240a4dbaeca004b9bed43c81f6ef9828be21f /tools/builder_common.sh
parent7da937948f83ce82745346fbd5ecb5e4457fa1bc (diff)
downloadpfsense-a10a0e7043b0d14df99a31ca54a9709406391b43.zip
pfsense-a10a0e7043b0d14df99a31ca54a9709406391b43.tar.gz
Add git_checkout.sh and common.subr
This is the first of a set commits to start replacing big builder_common.sh by smaller and specific scripts to do necessary build tasks. First is git_checkout.sh, a script used to checkout or update a git repository on desired destination dir and branch or tag.
Diffstat (limited to 'tools/builder_common.sh')
-rw-r--r--tools/builder_common.sh34
1 files changed, 10 insertions, 24 deletions
diff --git a/tools/builder_common.sh b/tools/builder_common.sh
index 16e5331..c54917f 100644
--- a/tools/builder_common.sh
+++ b/tools/builder_common.sh
@@ -1444,42 +1444,28 @@ update_freebsd_sources() {
local _clone_params="--depth 1 --single-branch"
fi
- if [ ! -d "${FREEBSD_SRC_DIR}" ]; then
- mkdir -p ${FREEBSD_SRC_DIR}
- fi
-
if [ -n "${NO_BUILDWORLD}" -a -n "${NO_BUILDKERNEL}" ]; then
echo ">>> NO_BUILDWORLD and NO_BUILDKERNEL set, skipping update of freebsd sources" | tee -a ${LOGFILE}
return
fi
- echo -n ">>> Obtaining FreeBSD sources ${FREEBSD_BRANCH}..."
- local _FREEBSD_BRANCH=${FREEBSD_BRANCH:-"devel"}
- local _CLONE=1
+ echo ">>> Obtaining FreeBSD sources (${FREEBSD_BRANCH})..."
+ ${SCRIPTS_DIR}/git_checkout.sh \
+ -r ${FREEBSD_REPO_BASE} \
+ -d ${FREEBSD_SRC_DIR} \
+ -b ${FREEBSD_BRANCH}
- if [ -d "${FREEBSD_SRC_DIR}/.git" ]; then
- CUR_BRANCH=$(cd ${FREEBSD_SRC_DIR} && git branch | grep '^\*' | cut -d' ' -f2)
- if [ ${_full} -eq 0 -a "${CUR_BRANCH}" = "${_FREEBSD_BRANCH}" ]; then
- _CLONE=0
- ( cd ${FREEBSD_SRC_DIR} && git clean -fd; git fetch origin; git reset --hard origin/${_FREEBSD_BRANCH} ) 2>&1 | grep -C3 -i -E 'error|fatal'
- else
- rm -rf ${FREEBSD_SRC_DIR}
- fi
- fi
-
- if [ ${_CLONE} -eq 1 ]; then
- ( git clone --branch ${_FREEBSD_BRANCH} ${_clone_params} ${FREEBSD_REPO_BASE} ${FREEBSD_SRC_DIR} ) 2>&1 | grep -C3 -i -E 'error|fatal'
- fi
-
- if [ ! -d "${FREEBSD_SRC_DIR}/.git" ]; then
+ if [ $? -ne 0 -o ! -d "${FREEBSD_SRC_DIR}/.git" ]; then
echo ">>> ERROR: It was not possible to clone FreeBSD src repo"
print_error_pfS
fi
if [ -n "${GIT_FREEBSD_COSHA1}" ]; then
- ( cd ${FREEBSD_SRC_DIR} && git checkout ${GIT_FREEBSD_COSHA1} ) 2>&1 | grep -C3 -i -E 'error|fatal'
+ echo -n ">>> Checking out desired commit (${GIT_FREEBSD_COSHA1})... "
+ ( git -C ${FREEBSD_SRC_DIR} checkout ${GIT_FREEBSD_COSHA1} ) 2>&1 | \
+ grep -C3 -i -E 'error|fatal'
+ echo "Done!"
fi
- echo "Done!"
}
pkg_chroot() {
OpenPOWER on IntegriCloud